package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

import java.io.File;
import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: UploadFileToCosReq
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:34
 */
@Data
public class UploadFileToCosReq implements Serializable {
    /**
     * uploadAddress+自定义文件名称
     */
    private String cosPath;
    private String tempSecretId;
    private String tempSecretKey;
    private String sessionToken;
    private String name;
    private File file;

    private static final UploadFileToCosReq obj = new UploadFileToCosReq();
    private static final long serialVersionUID = 3917222753320872474L;

    public static UploadFileToCosReq getNew() {
        try {
            return (UploadFileToCosReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new UploadFileToCosReq();
        }
    }
}
